| ## g_nmeig Main Table of Contents | VERSION 4.0 Sun 18 Jan 2009

### Description

g_nmeig calculates the eigenvectors/values of a (Hessian) matrix, which can be calculated with `mdrun`. The eigenvectors are written to a trajectory file (`-v`). The structure is written first with t=0. The eigenvectors are written as frames with the eigenvector number as timestamp. The eigenvectors can be analyzed with `g_anaeig`. An ensemble of structures can be generated from the eigenvectors with `g_nmens`. When mass weighting is used, the generated eigenvectors will be scaled back to plain cartesian coordinates before generating the output - in this case they will no longer be exactly orthogonal in the standard cartesian norm (But in the mass weighted norm they would be).

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `hessian.mtx` | Input | Hessian matrix
`-s` | `topol.tpr` | Input | Structure+mass(db): tpr tpb tpa gro g96 pdb
`-of` | `eigenfreq.xvg` | Output | xvgr/xmgr file
`-ol` | `eigenval.xvg` | Output | xvgr/xmgr file
`-v` | `eigenvec.trr` | Output | Full precision trajectory: trr trj cpt

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-[no]xvgr` | bool | `yes` | Add specific codes (legends etc.) in the output xvg files for the xmgrace program
`-[no]m` | bool | `yes` | Divide elements of Hessian by product of sqrt(mass) of involved atoms prior to diagonalization. This should be used for 'Normal Modes' analysis
`-first` | int | `1` | First eigenvector to write away
`-last` | int | `50` | Last eigenvector to write away

http://www.gromacs.org
gromacs@gromacs.org